Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Interface Index

All Superinterfaces:
  java.util.Map

All Known Implementing Classes:
  BTreeIndex, MemIndex, TitleSqlIndex

public interface Index
extends java.util.Map

Interface for storing/extracting indexes. Map keys to index entries.

Nested Class Summary
`static class` | `Index.IndexEntry` Store information about entry location.
`static class` | `Index.StringIndexEntry`

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`static java.lang.String` | `DEFAULT_INDEX_NAME`

Method Summary
`void` | `close()` Release all resources.
`java.io.File` | `getIndexFile()` Returns index file.
`boolean` | `isValid()` Check is this index valid.
`java.util.Iterator` | `nodeIterator(Key key)`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### DEFAULT_INDEX_NAME

    public static final java.lang.String DEFAULT_INDEX_NAME

See Also:
  Constant Field Values

Method Detail

### nodeIterator

    public java.util.Iterator nodeIterator(Key key)

  Throws:
    `java.lang.Exception`
  To do:
    Comment

### close

    public void close()
               throws java.lang.Exception

  Release all resources. After call this method all operations on this object are invalid.

  Throws:
    `java.lang.Exception`

### isValid

    public boolean isValid()

  Check is this index valid.

  Returns:
    `true` if index valid, `false` otherwise.

### getIndexFile

    public java.io.File getIndexFile()

  Returns index file. This information is essential to remove index files. Can return null if file is not used.

  Returns:
    index file.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.